<?php

namespace TheBugs\Email;

trait EmailInfoTrait
{
    protected /*stringable*/ $from;

    protected string|\Stringable|array $to;

    protected string|\Stringable|array $cc;

    protected string|\Stringable|array $bcc;

    protected array $attachments = [];

    protected EmailConfiguration $emailConfiguration;

    public function setFrom(string|\Stringable|array $from) : MailerInterface
    {
        $this->from = $from;

        return $this;
    }

    public function setTo(string|\Stringable|array $to) : MailerInterface
    {
        $this->to = $to;

        return $this;
    }

    public function setCC(string|\Stringable|array $cc) : MailerInterface
    {
        $this->cc = $cc;

        return $this;
    }

    public function setBCC(string|\Stringable|array $bcc) : MailerInterface
    {
        $this->bcc = $bcc;

        return $this;
    }
}